## lsp-plugins 1.1.22

=== Makefile ===
# Common definitions
RELEASE_TEXT            = LICENSE.txt README.txt CHANGELOG.txt
RELEASE_SRC             = $(RELEASE_TEXT) src build-*.sh include res Makefile release.sh
RELEASE_SCRIPTS         = scripts/bash scripts/make
INSTALL                 = install
export RELEASE_TEXT

# Estimate different pre-requisites before launching build
include scripts/make/set_vars.mk
include scripts/make/tools.mk
include scripts/make/version.mk
include scripts/make/configure.mk

# Build directories
export ROOTDIR          = ${CURDIR}
export SRCDIR           = ${CURDIR}/src
export RESDIR           = ${CURDIR}/res
export RELEASE          = ${CURDIR}/.release
export RELEASE_BIN      = $(RELEASE)/$(BUILD_SYSTEM)-$(BUILD_PROFILE)
export BUILDDIR         = ${CURDIR}/.build
export TESTDIR          = ${CURDIR}/.test
OBJDIR                  = $(BUILDDIR)

# Installation locations
BIN_PATH               ?= $(PREFIX)/bin
LIB_PATH               ?= $(PREFIX)/lib
SHARE_PATH             ?= $(PREFIX)/share
ETC_PATH               ?= /etc
DOC_PATH               ?= $(SHARE_PATH)/doc
LADSPA_PATH             = $(LIB_PATH)/ladspa
LV2_PATH                = $(LIB_PATH)/lv2
VST_PATH                = $(LIB_PATH)/vst

# Location
export BASEDIR          = ${CURDIR}

# Objects
export OBJ_CORE         = $(OBJDIR)/core.o
export OBJ_DSP          = $(OBJDIR)/dsp.o
export OBJ_CTL_CORE     = $(OBJDIR)/ctl_core.o
export OBJ_TK_CORE      = $(OBJDIR)/tk_core.o
export OBJ_WS_CORE      = $(OBJDIR)/ws_core.o
export OBJ_WS_X11_CORE  = $(OBJDIR)/ws_x11_core.o
export OBJ_UI_CORE      = $(OBJDIR)/ui_core.o
export OBJ_RES_CORE     = $(OBJDIR)/res_core.o
export OBJ_TEST_CORE    = $(OBJDIR)/test_core.o
export OBJ_TESTING_CORE = $(OBJDIR)/testing_core.o
export OBJ_PLUGINS      = $(OBJDIR)/plugins.o
export OBJ_PLUGIN_UIS	= $(OBJDIR)/plugin_uis.o
export OBJ_METADATA     = $(OBJDIR)/metadata.o
export OBJ_FILES        = $(OBJ_CORE) $(OBJ_UI_CORE) $(OBJ_RES_CORE) $(OBJ_PLUGINS) $(OBJ_METADATA)

# Libraries
export LIB_LADSPA       = $(OBJDIR)/$(ARTIFACT_ID)-ladspa.so
export LIB_LV2          = $(OBJDIR)/$(ARTIFACT_ID)-lv2.so
export LIB_VST          = $(OBJDIR)/$(ARTIFACT_ID)-vst-core-$(VERSION).so
export LIB_JACK         = $(OBJDIR)/$(ARTIFACT_ID)-jack-core-$(VERSION).so
export LIB_R3D_GLX      = $(OBJDIR)/$(R3D_ARTIFACT_ID)-glx.so

# Binaries
export BIN_PROFILE      = $(OBJDIR)/$(ARTIFACT_ID)-profile
export BIN_TEST         = $(OBJDIR)/$(ARTIFACT_ID)-test

# Utils
export UTL_GENTTL       = $(OBJDIR)/lv2_genttl.exe
export UTL_VSTMAKE      = $(OBJDIR)/vst_genmake.exe
export UTL_JACKMAKE     = $(OBJDIR)/jack_genmake.exe
export UTL_GENPHP       = $(OBJDIR)/gen_php.exe
export UTL_RESGEN       = $(OBJDIR)/gen_resources.exe
export UTL_FILES        = $(UTL_GENTTL) $(UTL_VSTMAKE) $(UTL_GENPHP) $(UTL_RESGEN)

# Files
export PHP_PLUGINS      = $(OBJDIR)/plugins.php

FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
FILES                   =

LADSPA_ID              := $(ARTIFACT_ID)-ladspa-$(LSP_VERSION)
LV2_ID                 := $(ARTIFACT_ID)-lv2-$(LSP_VERSION)
VST_ID                 := $(ARTIFACT_ID)-lxvst-$(LSP_VERSION)
JACK_ID                := $(ARTIFACT_ID)-jack-$(LSP_VERSION)
PROFILE_ID             := $(ARTIFACT_ID)-profile-$(LSP_VERSION)
SRC_ID                 := $(ARTIFACT_ID)-src-$(LSP_VERSION)
DOC_ID                 := $(ARTIFACT_ID)-doc-$(LSP_VERSION)

.DEFAULT_GOAL          := all
.PHONY: all experimental trace debug tracefile debugfile profile gdb test testdebug testprofile compile test_compile
.PHONY: compile_info
.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc
.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc
.PHONY: release release_ladspa release_lv2 release_vst release_jack release_doc release_src
.PHONY: build_ladspa build_lv2 build_vst build_jack build_doc

default: all

all: export CFLAGS          += -O2 -DLSP_NO_EXPERIMENTAL
all: export CXXFLAGS        += -O2 -DLSP_NO_EXPERIMENTAL
all: export EXE_FLAGS       += -pie -fPIE
all: compile

experimental: export CFLAGS += -O2
experimental: export CXXFLAGS += -O2
experimental: compile

trace: export CFLAGS        += -O2 -DLSP_TRACE -g3 -fstack-protector
trace: export CXXFLAGS      += -O2 -DLSP_TRACE -g3 -fstack-protector
trace: export EXE_FLAGS     += -g3
trace: compile

test: OBJDIR                 = $(TESTDIR)
test: export CFLAGS         += -O2 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
test: export CXXFLAGS       += -O2 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
test: export EXE_TEST_FLAGS += -g3
test: export MAKE_OPTS      += LSP_TESTING=1
test: export BUILD_MODULES   = jack
test: test_compile

testdebug: OBJDIR                 = $(TESTDIR)
testdebug: export CFLAGS         += -O0 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
testdebug: export CXXFLAGS       += -O0 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
testdebug: export EXE_TEST_FLAGS += -g3
testdebug: export MAKE_OPTS      += LSP_TESTING=1
testdebug: export BUILD_MODULES   = jack
testdebug: test_compile

testprofile: OBJDIR                 = $(TESTDIR)
testprofile: export CFLAGS         += -g -pg -O2 -DLSP_PROFILING -DLSP_TESTING -DLSP_TRACE -g3 -no-pie -fno-pie -fPIC -fstack-protector
testprofile: export CXXFLAGS       += -g -pg -O2 -DLSP_PROFILING -DLSP_TESTING -DLSP_TRACE -g3 -no-pie -fno-pie -fPIC -fstack-protector
testprofile: export EXE_TEST_FLAGS += -g -pg -O2 -g3 -no-pie -fno-pie -fPIC
testprofile: export MAKE_OPTS      += LSP_TESTING=1
testprofile: compile

tracefile: export CFLAGS    += -DLSP_TRACEFILE
tracefile: export CXXFLAGS  += -DLSP_TRACEFILE
tracefile: trace

debug: export CFLAGS        += -O2 -DLSP_DEBUG
debug: export CXXFLAGS      += -O2 -DLSP_DEBUG
debug: compile

debugfile: export CFLAGS    += -DLSP_TRACEFILE
debugfile: export CXXFLAGS  += -DLSP_TRACEFILE
debugfile: debug

gdb: export CFLAGS          += -O0 -g3 -DLSP_TRACE
gdb: export CXXFLAGS        += -O0 -g3 -DLSP_TRACE
gdb: compile

profile: export CFLAGS      += -g -pg -DLSP_PROFILING -no-pie -fno-pie -fPIC
profile: export CXXFLAGS    += -g -pg -DLSP_PROFILING -no-pie -fno-pie -fPIC
profile: export EXE_FLAGS   += -g -pg -no-pie -fno-pie -fPIC
profile: compile

# Compilation and cleaning targets
compile_info:
	@echo "-------------------------------------------------------------------------------"
	@echo "Building binaries"
	@echo "  target architecture : $(BUILD_PROFILE)"
	@echo "  target platform     : $(BUILD_PLATFORM)"
	@echo "  target system       : $(BUILD_SYSTEM)"
	@echo "  compiler            : $(BUILD_COMPILER)"
	@echo "  modules             : $(BUILD_MODULES)"
	@echo "  UI                  : LV2=$(LV2_UI), VST=$(VST_UI)"
	@echo "  3D rendering        : $(BUILD_R3D_BACKENDS)"
	@echo "  build directory     : $(OBJDIR)"
	@echo "-------------------------------------------------------------------------------"

compile: | compile_info
	@mkdir -p $(OBJDIR)/src
	@mkdir -p $(CFGDIR)
	@test -f "$(CFGDIR)/$(PREFIX_FILE)" || echo -n "$(PREFIX)" > "$(CFGDIR)/$(PREFIX_FILE)"
	@test -f "$(CFGDIR)/$(MODULES_FILE)" || echo -n "$(BUILD_MODULES)" > "$(CFGDIR)/$(MODULES_FILE)"
	@test -f "$(CFGDIR)/$(BUILD_PROFILE)" || echo -n "$(BUILD_PROFILE)" > "$(CFGDIR)/$(BUILD_PROFILE_FILE)"
	@test -f "$(CFGDIR)/$(R3D_BACKENDS_FILE)" || echo -n "$(BUILD_R3D_BACKENDS)" > "$(CFGDIR)/$(R3D_BACKENDS_FILE)"
	@$(MAKE) $(MAKE_OPTS) -C src all OBJDIR=$(OBJDIR)/src
	@echo "Build OK"
	
test_compile: | compile_info
	@mkdir -p $(OBJDIR)/src
	@$(MAKE) $(MAKE_OPTS) -C src all OBJDIR=$(OBJDIR)/src
	@echo "Test Build OK"

clean:
	@-rm -rf $(BUILDDIR)
	@-rm -rf $(TESTDIR)
	@-rm -rf $(CFGDIR)
	@echo "Clean OK"

# Build targets
build_ladspa: export BUILD_MODULES = ladspa
build_ladspa: compile

build_lv2: export BUILD_MODULES = lv2
build_lv2: compile

build_vst: export BUILD_MODULES = vst
build_vst: compile

build_jack: export BUILD_MODULES = jack
build_jack: compile

build_doc: export BUILD_MODULES = doc
build_doc: compile


# Installation targets
install: $(INSTALLATIONS)
	@echo "Install OK"

install_ladspa: all
	@echo "Installing LADSPA plugins to $(DESTDIR)$(LADSPA_PATH)/"
	@mkdir -p $(DESTDIR)$(LADSPA_PATH)
	@$(INSTALL) $(LIB_LADSPA) $(DESTDIR)$(LADSPA_PATH)/
	
install_lv2: all
	@echo "Installing LV2 plugins to $(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	@mkdir -p "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	@$(INSTALL) $(LIB_LV2) "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2/"
	@test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so $(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2/
	@$(UTL_GENTTL) "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	
install_vst: all
	@echo "Installing VST plugins to $(DESTDIR)$(VST_PATH)/$(VST_ID)"
	@mkdir -p "$(DESTDIR)$(VST_PATH)/$(VST_ID)"
	@$(INSTALL) $(LIB_VST) "$(DESTDIR)$(VST_PATH)/$(VST_ID)/"
	@test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so $(DESTDIR)$(VST_PATH)/$(VST_ID)/
	@$(INSTALL) $(OBJDIR)/src/vst/*.so $(DESTDIR)$(VST_PATH)/$(VST_ID)/

install_jack: all
	@echo "Installing JACK core to $(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)"
	@mkdir -p "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)"
	@$(INSTALL) $(LIB_JACK) "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)/"
	@test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)/"
	@echo "Installing JACK standalone plugins to $(DESTDIR)$(BIN_PATH)"
	@mkdir -p "$(DESTDIR)$(BIN_PATH)"
	@$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/src/jack install TARGET_PATH="$(DESTDIR)$(BIN_PATH)" INSTALL="$(INSTALL)"
	@echo "Installing desktop icons to $(DESTDIR)$(SHARE_PATH)/applications"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/applications"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/desktop-directories"
	@mkdir -p "$(DESTDIR)$(ETC_PATH)/xdg/menus/applications-merged"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/scalable/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/16x16/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/22x22/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/24x24/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/32x32/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/48x48/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/64x64/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/128x128/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/256x256/apps"
	@cp res/xdg/*.desktop "$(DESTDIR)$(SHARE_PATH)/applications/"
	@cp res/xdg/lsp-plugins.directory "$(DESTDIR)$(SHARE_PATH)/desktop-directories/"
	@cp res/xdg/lsp-plugins.menu "$(DESTDIR)$(ETC_PATH)/xdg/menus/applications-merged/"
	@cp -f res/icons/$(ARTIFACT_ID)-16.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/16x16/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-22.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/22x22/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-24.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/24x24/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-32.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/32x32/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-48.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/48x48/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-64.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/64x64/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-128.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/128x128/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-256.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/256x256/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-exp.svg "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/scalable/apps/$(ARTIFACT_ID).svg"

install_doc: all
	@echo "Installing documentation to $(DESTDIR)$(DOC_PATH)"
	@mkdir -p $(DESTDIR)$(DOC_PATH)/$(ARTIFACT_ID)
	@cp -r $(OBJDIR)/html/* $(DESTDIR)$(DOC_PATH)/$(ARTIFACT_ID)

# Release targets
dbg_release: export CFLAGS        += -DLSP_TRACE -O2
dbg_release: export CXXFLAGS      += -DLSP_TRACE -O2
dbg_release: $(RELEASES)
	@echo "Debug Release OK"

release: INSTALL        += -s
release: $(RELEASES)
	@echo "Release OK"

release_prepare: all

=== src/Makefile ===
SUBDIRS                 = core metadata utils 
MODULES                 = $(SUBDIRS)
CONTAINER_DEPS          = $(OBJ_METADATA) $(OBJ_CORE) $(UTL_FILES)
UTL_DEPS                = $(OBJ_CORE) $(OBJ_DSP) $(OBJ_METADATA)

NEED_UI                 = 0
NEED_PLUGINS            = 0

RESOURCE_PATHS = \
  $(BASEDIR)/res/ui \
  $(BASEDIR)/res/presets \
  $(BASEDIR)/res/models \
  $(BASEDIR)/res/i18n

ifeq ($(LSP_TESTING),1)
  SUBDIRS                += test testing
  CONTAINER_DEPS         += $(OBJ_TEST_CORE) $(OBJ_TESTING_CORE)
  UTL_DEPS               += $(OBJ_TEST_CORE)
  NEED_UI                 = 1
  NEED_PLUGINS            = 1
endif

ifneq ($(LSP_TESTING),1)
  ifeq ($(findstring ladspa,$(BUILD_MODULES)),ladspa)
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring lv2,$(BUILD_MODULES)),lv2)
    ifeq ($(LV2_UI),1)
      NEED_UI                 = 1
    endif
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring vst,$(BUILD_MODULES)),vst)
    MODULES                += vst_stub
    ifeq ($(VST_UI),1)
      NEED_UI                 = 1
    endif
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring jack,$(BUILD_MODULES)),jack)
    MODULES                += jack_stub
    NEED_UI                 = 1
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring doc,$(BUILD_MODULES)),doc)
    SUBDIRS                += doc
    MODULES                += doc
  endif
endif

ifeq ($(NEED_PLUGINS), 1)
  SUBDIRS                += dsp plugins container
  CONTAINER_DEPS         += $(OBJ_DSP) $(OBJ_PLUGINS)
endif
ifeq ($(NEED_UI),1)
  SUBDIRS                += ui rendering
  MODULES                += ui
  CONTAINER_DEPS         += $(OBJ_UI_CORE) $(OBJ_RES_CORE) rendering
endif

.PHONY: all $(MODULES)

all: $(MODULES)

target: all

# Rules
$(SUBDIRS):
	@echo "Building $(@)"
	@mkdir -p $(OBJDIR)/$(@)
	@$(MAKE) $(MAKE_OPTS) -C $@ $(MAKECMDGOALS) OBJDIR=$(OBJDIR)/$(@)

# Object dependencies
$(OBJ_CORE): core

$(OBJ_DSP): dsp

$(OBJ_PLUGINS): plugins

$(OBJ_METADATA): metadata

$(OBJ_UI_CORE): ui

$(UTL_FILES): utils

$(UTL_RESGEN): utils

$(UTL_JACKMAKE): utils

$(OBJ_TEST_CORE): test

$(OBJ_TESTING_CORE): test testing rendering

$(OBJ_RES_CORE): $(OBJ_CORE) $(UTL_RESGEN)
	@echo "Generating builtin resources"
	@mkdir -p $(OBJDIR)/res
	@$(UTL_RESGEN) $(OBJDIR)/res/builtin_resource.cpp $(RESOURCE_PATHS)
	@-rm gmon.out >/dev/null 2>&1
	@$(CXX) -o $(OBJ_RES_CORE) -c $(OBJDIR)/res/builtin_resource.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 

# Target dependencies
container: $(CONTAINER_DEPS)

utils: $(UTL_DEPS)

doc: utils $(PHP_PLUGINS)

# Additional processing
$(PHP_PLUGINS): $(UTL_GENPHP)
	@echo "Generating PHP file $(notdir $(PHP_PLUGINS))"
	@$(UTL_GENPHP) $(PHP_PLUGINS)

vst_stub: $(UTL_VSTMAKE)
	@echo "Building VST stub"
	@mkdir -p $(OBJDIR)/vst
	@$(UTL_VSTMAKE) $(OBJDIR)/vst
	@-rm gmon.out >/dev/null 2>&1
	@$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/vst all OBJDIR=$(OBJDIR)/vst

jack_stub: $(UTL_JACKMAKE)
	@echo "Building JACK stub"
	@mkdir -p $(OBJDIR)/jack
	@$(UTL_JACKMAKE) $(OBJDIR)/jack
	@-rm gmon.out >/dev/null 2>&1
	@$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/jack all OBJDIR=$(OBJDIR)/jack

=== src/container/Makefile ===
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
OBJ_HELPERS             = $(OBJDIR)/CairoCanvas.o

# Detemine what modules to build
OBJFILES                = $(OBJ_CORE) $(OBJ_DSP) $(OBJ_METADATA) $(OBJ_PLUGINS)
LIBS                    = $(SNDFILE_LIBS) $(PTHREAD_LIBS) $(MATH_LIBS) $(DL_LIBS)

# Configure set of modules to build
ifeq ($(LSP_TESTING),1)
  OBJFILES               += $(OBJ_TEST_CORE) $(OBJ_TESTING_CORE)
  MODULES                 = $(BIN_TEST)
endif
ifneq ($(LSP_TESTING),1)
  MODULES                 =
  ifeq ($(findstring ladspa,$(BUILD_MODULES)),ladspa)
    MODULES                += $(LIB_LADSPA)
  endif
  ifeq ($(findstring lv2,$(BUILD_MODULES)),lv2)
    MODULES                += $(LIB_LV2)
  endif
  ifeq ($(findstring vst,$(BUILD_MODULES)),vst)
    MODULES                += $(LIB_VST)
  endif
  ifeq ($(findstring jack,$(BUILD_MODULES)),jack)
    MODULES                += $(LIB_JACK)
  endif
  ifeq ($(findstring profile,$(BUILD_MODULES)),profile)
    MODULES                += $(BIN_PROFILE)
  endif
endif

UI_OBJFILES             = $(OBJ_UI_CORE) $(OBJ_RES_CORE)
UI_LIBS                 = $(XLIB_LIBS) $(CAIRO_LIBS)

ifeq ($(BUILD_PLATFORM),BSD)
  LIBS                   += $(ICONV_LIBS)
endif

LV2_OBJFILES            = $(OBJFILES)
LV2_LIBS                = $(LIBS)
LV2_DEPS                =
ifeq ($(LV2_UI),1)
  LV2_DEPS               += $(OBJ_HELPERS)
  LV2_OBJFILES           += $(OBJ_HELPERS) $(UI_OBJFILES)
  LV2_LIBS               += $(UI_LIBS)
endif

VST_OBJFILES            = $(OBJFILES)
VST_LIBS                = $(LIBS)
ifeq ($(VST_UI),1)
  VST_OBJFILES           += $(UI_OBJFILES)
  VST_LIBS               += $(UI_LIBS)
endif

.PHONY: all

all: $(MODULES)

$(OBJ_HELPERS):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(CAIRO_HEADERS)

$(LIB_LADSPA):
	@echo "  $(CXX) ladspa.cpp"
	@$(CXX) -o $(OBJDIR)/ladspa.o -c ladspa.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
	@echo "  $(CXX) $(notdir $(LIB_LADSPA))"
	@$(CXX) -o $(LIB_LADSPA) $(OBJDIR)/ladspa.o $(OBJFILES) $(SO_FLAGS) $(LIBS)

$(LIB_LV2): $(LV2_DEPS)
	@echo "  $(CXX) lv2.cpp"
	@$(CXX) -o $(OBJDIR)/lv2.o -c lv2.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(CAIRO_HEADERS)
	@echo "  $(CXX) $(notdir $(LIB_LV2))"
	@$(CXX) -o $(LIB_LV2) $(OBJDIR)/lv2.o $(LV2_OBJFILES) $(SO_FLAGS) $(LV2_LIBS)

$(LIB_VST):
	@echo "  $(CXX) vst.cpp"
	@$(CXX) -o $(OBJDIR)/vst.o -c vst.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
	@echo "  $(CXX) $(notdir $(LIB_VST))"
	@$(CXX) -o $(LIB_VST) $(OBJDIR)/vst.o $(VST_OBJFILES) $(SO_FLAGS) $(VST_LIBS) 

$(LIB_JACK): $(OBJ_HELPERS)
	@echo "  $(CXX) jack.cpp"
	@$(CXX) -o $(OBJDIR)/jack.o -c jack.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(JACK_HEADERS) $(CAIRO_HEADERS)
	@echo "  $(CXX) $(notdir $(LIB_JACK))"
	@$(CXX) -o $(LIB_JACK) $(OBJDIR)/jack.o $(OBJ_HELPERS) $(OBJFILES) $(UI_OBJFILES) $(SO_FLAGS) $(LIBS) $(UI_LIBS) $(JACK_LIBS)

$(BIN_PROFILE): $(LIB_JACK)
	@echo "  $(CXX) profile.cpp"
	@$(CXX) -o $(OBJDIR)/profile.o -c profile.cpp -fPIC $(CPPFLAGS) -DLSP_PROFILING_MAIN $(CXXFLAGS) $(INCLUDE) $(JACK_HEADERS) 
	@echo "  $(CXX) $(notdir $(BIN_PROFILE))"
	@$(CXX) -o $(BIN_PROFILE) $(OBJDIR)/jack.o $(OBJDIR)/profile.o $(OBJ_HELPERS) $(OBJFILES) $(UI_OBJFILES) $(EXE_FLAGS) $(LIBS) $(UI_LIBS) $(JACK_LIBS) 

$(BIN_TEST): $(LIB_JACK)
	@echo "  $(CXX) test.cpp"
	@$(CXX) -o $(OBJDIR)/test.o -c test.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(JACK_HEADERS) 
	@echo "  $(CXX) $(notdir $(BIN_TEST))"
	@$(CXX) -o $(BIN_TEST) $(OBJDIR)/jack.o $(OBJDIR)/test.o $(OBJ_HELPERS) $(OBJFILES) $(UI_OBJFILES) $(EXE_TEST_FLAGS) $(LIBS) $(UI_LIBS) $(JACK_LIBS) $(OPENGL_LIBS) $(DL_LIBS)

=== debian/changelog ===
lsp-plugins (1.1.22-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.1.22

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 31 May 2020 13:49:57 -0700

lsp-plugins (1.1.21-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.1.21

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 16 May 2020 15:18:34 -0700

lsp-plugins (1.1.19-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.1.19

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 18 Apr 2020 15:18:44 -0700

lsp-plugins (1.1.17-0ubuntu1) focal; urgency=medium

  * New upstream release 1.1.17

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 04 Apr 2020 21:14:37 -0700

lsp-plugins (1.1.15-0ubuntu2) focal; urgency=medium

  * Fix patch to keep .desktop files in their own category

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 29 Mar 2020 08:58:22 -0700

lsp-plugins (1.1.15-0ubuntu1) focal; urgency=medium

  * Translate old changelog to English
  * New upstream release 1.1.15 

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 23 Mar 2020 16:06:13 -0700

lsp-plugins (1.1.14-0ubuntu1) focal; urgency=medium

  * New upstream version 1.1.14

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 20 Mar 2020 16:50:43 -0700

lsp-plugins (1.1.4-0librazik2) stretch; urgency-medium

  * Reconstruction with pbuilder for LibraZiK2.
    - construction for the 32-bit also.
  * debian/rules:
    - adding a differentiated treatment if it is a 64 or 32 construction
      Bits.

 -- Olivier Humbert <trebmuh@tuxfamily.org> Thu, 01 Nov 2018 12:24:51

lsp-plugins (1.1.4-0librazik1) stretch; urgency-medium

  * Reconstruction with pbuilder for LibraZiK2.
    - new upstream version.
  * debian/control:
    - construction outbuildings:
      Added "libglu1-mesa-dev" and "libgl1-mesa-dev."
    - description:
      2017 - 2018.
      Added a line meaning that there are other grafts included in the
        This.
  * debian/copyright:
    - Vladimir Sadovnikov: 2016-2017 - 2016-2018.
    - Olivier Humbert: 2016-2017 - 2016-2018.
  * debian/patches/3000-build_fixes.patch:
    - update of the rustine (by hand).
  * debian/patches/series:
    - commenting on the patches:
      3010-traduction_FR_communs.patch
      3011-traduction_FR_comp_delay_mono.patch
      3012-traduction_FR_comp_delay_stereo.patch
      3013-traduction_FR_comp_delay_x2_stereo.patch
      3014-traduction_FR_phase_detector.patch
  * debian/watch:
    - file creation.

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 31 Oct 2018 19:18:17 -0100

lsp-plugins (1.0.2-0librazik1) stretch; urgency-medium

  * Reconstruction with pbuilder for LibraZiK2.
  * debian/compat:
    - switching from 9 to 10
  * debian/control:
    - construction dependency:
      Debhelper: switching from (up to 9) to 10.
      Switching from "libjack-dev," to "libjack-jackd2-dev" libjack-dev."
      Added 'libstdc'-6-dev'.
      Added "php7.0-cli."
      Added "libgtk-3-dev."
    - description:
      Documentation link: adaptation for LZK2.
      2016 - 2017.
      Added "Phase Detector."
  * debian/copyright:
    - Olivier Humbert: 2016 - 2016-2017
    - Vladimir Sadovnikov: 2016 - 2016-2017.
  * debian/rules:
    - deleting the useless "--parallel" with debhelper 10.
  * debian/patches/3000-build_fixes.patch:
    - update of the rustine (by hand).
  * debian/patches/301X-traductions_FR:
    - separation of the rustine "for all" into "a rustine by graft".
    - update of translation patches.
    - adding a translation patch for the live detector.

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 06 Sep 2017 16:56:55

lsp-plugins (1.0.0-0librazik2) jessie; urgency-medium

  * Reconstruction with pbuilder for LibraZiK.
    - translation of the graphical interface.
  * debian/patches/3001-traduction_FR.patch:
    - creation of rustine (with dquilt).
  * debian/patches/series:
    - file creation (with dquilt).

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 23 Nov 2016 23:48:01

lsp-plugins (1.0.0-0librazik1) jessie; urgency-medium

  * Initial construction with pbuilder for LibraZiK.

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 23 Nov 2016 03:02:47

=== debian/control ===
Source: lsp-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Build-Depends:
 debhelper (>= 11),
 ladspa-sdk,
 libexpat1-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libjack-jackd2-dev,
 lv2-dev,
 php-cli,
 libcairo2-dev,
 libsndfile1-dev
Standards-Version: 4.4.0
Homepage: http://lsp-plug.in/

Package: lsp-plugins
Architecture: amd64 arm64 armhf i386
Depends:
 lsp-plugins-ladspa,
 lsp-plugins-lv2,
 lsp-plugins-vst,
 lsp-plugins-jack,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 dgedit
Description: LSP (Linux Studio Plugins) audio-plugins (metapackage)
 This package provide 91 plugins.
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 Available as LV2, LADSPA and standalone Jack clients.
 .
 Documentation page : https://lsp-plug.in/?page=manuals

Package: lsp-plugins-common
Architecture: amd64 arm64 armhf i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (common libraries)
 This package provide 91 plugins.
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package contains the common libraries.
 .
 Documentation page : https://lsp-plug.in/?page=manuals

Package: lsp-plugins-jack
Architecture: amd64 arm64 armhf i386
Conflicts: lsp-plugins-jack (<= 1.1.17-0ubuntu1)
Replaces: lsp-plugins-jack (<= 1.1.17-0ubuntu1)
Depends:
 lsp-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
 This package provide 91 plugins.
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the standalone Jack clients.
 .
 Documentation page : https://lsp-plug.in/?page=manuals

Package: lsp-plugins-ladspa
Architecture: amd64 arm64 armhf i386
Provides: ladspa-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (ladspa plugins)
 This package provide 91 plugins.
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provies the ladspa plugins.
 .
 Documentation page : https://lsp-plug.in/?page=manuals

Package: lsp-plugins-lv2
Architecture: amd64 arm64 armhf i386
Provides: lv2-plugin
Depends:
 lsp-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
 This package provide 91 plugins.
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the LV2 plugins.
 .
 Documentation page : https://lsp-plug.in/?page=manuals

Package: lsp-plugins-vst
Architecture: amd64 arm64 armhf i386
Conflicts: lsp-plugins-vst (<= 1.1.17-0ubuntu1)
Replaces: lsp-plugins-vst (<= 1.1.17-0ubuntu1)
Depends:
 lsp-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
 This package provide 91 plugins.
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the VST plugins.
 .
 Documentation page : https://lsp-plug.in/?page=manuals

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	export BUILD_PROFILE=x86_64
endif
ifeq ($(DEB_HOST_ARCH),i386)
	export BUILD_PROFILE=i586
endif
ifeq ($(DEB_HOST_ARCH),arm64)
	export BUILD_PROFILE=aarch64
endif
ifeq ($(DEB_HOST_ARCH),armel)
	export BUILD_PROFILE=armv7a
endif
ifeq ($(DEB_HOST_ARCH),armhf)
	export BUILD_PROFILE=armv7a
endif

%:
	dh $@

override_dh_auto_test:
	# the test suite requires build options incompatible with what we
	# ship in the package, so disable until upstream resolves this

override_dh_install:
	# Documentation contains privacy-invading IFRAMEs in HTML code
	# which generates Lintian warnings. HTML documentation is
	# therefore removed, and documentation is linked at 
	# https://lsp-plug.in/?page=manuals
	rm -r debian/tmp/usr/share/doc/lsp-plugins
	# Standalone Jack Binaries, vst, and lv2 plugins contain a
	# common library required in each of their directories. Since
	# it is a common library, debug symbols were being overwritten.
	# Common library and any future common libraries are now part of
	# the lsp-plugins-common package which is the target of symlinks
	# during install.
	rm debian/tmp/usr/lib/lv2/lsp-plugins.lv2/lsp-plugins-r3d-glx.so
	rm debian/tmp/usr/lib/vst/lsp-plugins-lxvst-1.1.22/lsp-plugins-r3d-glx.so
	dh_install

## lsp-plugins 1.1.24

=== debian/changelog ===
lsp-plugins (1.1.24-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 11:12:22 -0400

lsp-plugins (1.1.24-1) unstable; urgency=medium

  * New upstream version 1.1.24
  * Update lsp-plugins-vst.links
  * Add lintian overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 20 Jul 2020 19:03:30 +0200

lsp-plugins (1.1.22-1~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jul 2020 20:36:36 -0400

lsp-plugins (1.1.22-1) unstable; urgency=medium

  * New upstream version 1.1.22
  * Update lsp-plugins-vst.links
  * Update d/copyright year
  * Bump dh-compat to 13

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Jun 2020 16:22:54 +0200

lsp-plugins (1.1.17-1) unstable; urgency=medium

  * New upstream version 1.1.17
  * Drop patches, applied by upstream
  * Add missing licenses to d/copyright
  * Update lsp-plugins-vst.links
  * Install /etc/xdg/

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 09 Apr 2020 19:03:13 +0200

lsp-plugins (1.1.13-1) unstable; urgency=medium

  [Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1
  * d/control: Add Vcs-* field

  [ Erich Eickmeyer ]
  * Update control / Maintainer

  [ Dennis Braun ]
  * Initial release for debian (Closes: #931347)
  * d/control:
    + Build any arch
    + Update description
    + Add me as uploader
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright:
    + Update http > https URLS
    + Update copyright year
  * Fix spelling error in src/metadata/limiter.cpp
  * Link lsp-plugins-r3d-glx.so rather then copy it triple
    + Make lsp-plugins-lv2 and lsp-plugins-vst depend on lsp-plugins-jack

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 11 Mar 2020 22:13:24 +0100

=== debian/control ===
Source: lsp-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libexpat1-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libjack-jackd2-dev,
 lv2-dev,
 php-cli,
 libcairo2-dev,
 libsndfile1-dev
Standards-Version: 4.5.0
Homepage: https://lsp-plug.in/
Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/lsp-plugins.git
Rules-Requires-Root: no

Package: lsp-plugins
Section: metapackages
Architecture: any
Depends:
 lsp-plugins-ladspa,
 lsp-plugins-lv2,
 lsp-plugins-vst,
 lsp-plugins-jack,
 ${misc:Depends},
Suggests:
 dgedit
Description: LSP (Linux Studio Plugins) audio-plugins (metapackage)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This metapackage installs plugins for all supported frameworks and the Jack
 standalone clients.

Package: lsp-plugins-jack
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the standalone Jack clients.

Package: lsp-plugins-ladspa
Architecture: any
Provides: ladspa-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (ladspa plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provies the ladspa plugins.

Package: lsp-plugins-lv2
Architecture: any
Provides: lv2-plugin
Depends:
 lsp-plugins-jack (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the LV2 plugins.

Package: lsp-plugins-vst
Architecture: any
Depends:
 lsp-plugins-jack (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the VST plugins.

## lsp-plugins 1.1.26

=== debian/changelog ===
lsp-plugins (1.1.26-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Oct 2020 08:10:47 -0700

lsp-plugins (1.1.26-1) unstable; urgency=medium

  * New upstream version 1.1.26
  * Simple test that calls the help for all 118 jack plugins
  * Update lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Sep 2020 13:09:00 +0200

lsp-plugins (1.1.24-2) unstable; urgency=medium

  * Add Breaks and Replaces to lsp-plugins-jack
    + Fixes a bug in ubuntu (LP: #1888684)

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 27 Aug 2020 22:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: lsp-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <d_braun@kabelmail.de>
-Build-Depends:
- debhelper-compat (= 13),
- ladspa-sdk,
- libexpat1-dev,
- libgl1-mesa-dev,
- libglu1-mesa-dev,
- libjack-jackd2-dev,
- lv2-dev,
- php-cli,
- libcairo2-dev,
- libsndfile1-dev
+Build-Depends: debhelper-compat (= 12),
+               ladspa-sdk,
+               libcairo2-dev,
+               libexpat1-dev,
+               libgl1-mesa-dev,
+               libglu1-mesa-dev,
+               libjack-jackd2-dev,
+               libsndfile1-dev,
+               lv2-dev,
+               php-cli
 Standards-Version: 4.5.0
 Homepage: https://lsp-plug.in/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
@@ -23,14 +23,12 @@
 Package: lsp-plugins
 Section: metapackages
 Architecture: any
-Depends:
- lsp-plugins-ladspa,
- lsp-plugins-lv2,
- lsp-plugins-vst,
- lsp-plugins-jack,
- ${misc:Depends},
-Suggests:
- dgedit
+Depends: lsp-plugins-jack,
+         lsp-plugins-ladspa,
+         lsp-plugins-lv2,
+         lsp-plugins-vst,
+         ${misc:Depends}
+Suggests: dgedit
 Description: LSP (Linux Studio Plugins) audio-plugins (metapackage)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -56,9 +54,9 @@
 
 Package: lsp-plugins-jack
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: lsp-plugins-common
+Replaces: lsp-plugins-common
 Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -84,9 +82,7 @@
 Package: lsp-plugins-ladspa
 Architecture: any
 Provides: ladspa-plugin
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (ladspa plugins)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -112,10 +108,9 @@
 Package: lsp-plugins-lv2
 Architecture: any
 Provides: lv2-plugin
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: lsp-plugins-jack (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -140,10 +135,9 @@
 
 Package: lsp-plugins-vst
 Architecture: any
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: lsp-plugins-jack (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound

=== debian/tests/control ===
Tests: help
Depends: @

## lsp-plugins 1.1.28

=== src/container/Makefile ===
--- 
+++ 
@@ -37,20 +37,20 @@
   LIBS                   += $(ICONV_LIBS)
 endif
 
-LV2_OBJFILES            = $(OBJFILES)
-LV2_LIBS                = $(LIBS)
-LV2_DEPS                =
+X_LV2_OBJFILES          = $(OBJFILES)
+X_LV2_LIBS              = $(LIBS) $(LV2_LIBS)
+X_LV2_DEPS              =
 ifeq ($(LV2_UI),1)
-  LV2_DEPS               += $(OBJ_HELPERS)
-  LV2_OBJFILES           += $(OBJ_HELPERS) $(UI_OBJFILES)
-  LV2_LIBS               += $(UI_LIBS)
+  X_LV2_DEPS             += $(OBJ_HELPERS)
+  X_LV2_OBJFILES         += $(OBJ_HELPERS) $(UI_OBJFILES)
+  X_LV2_LIBS             += $(UI_LIBS)
 endif
 
-VST_OBJFILES            = $(OBJFILES)
-VST_LIBS                = $(LIBS)
+X_VST_OBJFILES          = $(OBJFILES)
+X_VST_LIBS              = $(LIBS)
 ifeq ($(VST_UI),1)
-  VST_OBJFILES           += $(UI_OBJFILES)
-  VST_LIBS               += $(UI_LIBS)
+  X_VST_OBJFILES         += $(UI_OBJFILES)
+  X_VST_LIBS             += $(UI_LIBS)
 endif
 
 .PHONY: all
@@ -67,17 +67,17 @@
 	@echo "  $(CXX) $(notdir $(LIB_LADSPA))"
 	@$(CXX) -o $(LIB_LADSPA) $(OBJDIR)/ladspa.o $(OBJFILES) $(SO_FLAGS) $(LIBS)
 
-$(LIB_LV2): $(LV2_DEPS)
+$(LIB_LV2): $(X_LV2_DEPS)
 	@echo "  $(CXX) lv2.cpp"
-	@$(CXX) -o $(OBJDIR)/lv2.o -c lv2.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(CAIRO_HEADERS)
-	@echo "  $(CXX) $(notdir $(LIB_LV2))"
-	@$(CXX) -o $(LIB_LV2) $(OBJDIR)/lv2.o $(LV2_OBJFILES) $(SO_FLAGS) $(LV2_LIBS)
+	@$(CXX) -o $(OBJDIR)/lv2.o -c lv2.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(CAIRO_HEADERS) $(LV2_HEADERS)
+	@echo "  $(CXX) $(notdir $(X_LIB_LV2))"
+	@$(CXX) -o $(LIB_LV2) $(OBJDIR)/lv2.o $(X_LV2_OBJFILES) $(SO_FLAGS) $(X_LV2_LIBS)
 
 $(LIB_VST):
 	@echo "  $(CXX) vst.cpp"
 	@$(CXX) -o $(OBJDIR)/vst.o -c vst.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
 	@echo "  $(CXX) $(notdir $(LIB_VST))"
-	@$(CXX) -o $(LIB_VST) $(OBJDIR)/vst.o $(VST_OBJFILES) $(SO_FLAGS) $(VST_LIBS) 
+	@$(CXX) -o $(LIB_VST) $(OBJDIR)/vst.o $(X_VST_OBJFILES) $(SO_FLAGS) $(X_VST_LIBS) 
 
 $(LIB_JACK): $(OBJ_HELPERS)
 	@echo "  $(CXX) jack.cpp"

=== src/plugins/Makefile ===
rwildcard               = $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all files subdirs $(SUBDIRS)

all:  $(OBJ_PLUGINS)

$(OBJ_PLUGINS): $(FILES) $(SUBDIRS)
	@echo "  $(LD) $(notdir $(OBJ_PLUGINS))"
	@$(LD) -o $(OBJ_PLUGINS) -r $(MERGE_FLAGS) $(FILES) 

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(FILE)

=== src/ui/ws/Makefile ===
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
SUBDIRS					= x11

.PHONY: all $(SUBDIRS)

all: $(OBJ_WS_CORE)

$(SUBDIRS):
	@echo "Building $@"
	@mkdir -p $(OBJDIR)/$(@)
	@$(MAKE) $(MAKE_OPTS) -C $@ $(MAKECMDGOALS) OBJDIR=$(OBJDIR)/$(@)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 

$(OBJ_WS_CORE): $(FILES) $(OBJ_WS_X11_CORE)
	@echo "  $(LD) $(notdir $(@))"
	@$(LD) -o $(OBJ_WS_CORE) $(MERGE_FLAGS) $(PACKAGES) $(OBJ_WS_X11_CORE) $(FILES)

$(OBJ_WS_X11_CORE): $(SUBDIRS)

=== debian/changelog ===
lsp-plugins (1.1.28-1) unstable; urgency=medium

  * New upstream version 1.1.28
  * Mark test as superficial
  * Bump S-V to 4.5.1, no changes needed
  * Update lsp-plugins-vst.links
  * Update lintian-overrides
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 23 Dec 2020 20:43:44 +0100
